.calculation {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    height: 20em;
    width: 20em;
    border: 3px solid black;
    padding: 15px;
}

#myprogress {
    width: 50%;
    background-color: #fce8e3;
}

#bar {
    width: 0;
    height: 30px;
    background-color: #e19d9d;
    line-height: 20px;
    color: white;
}

#buttonlol {
    border-radius: 3px;
    border: 2px solid #fce8e3;
    color:white;
    background-color:#fce8e3;
}





.calculator{
    width: 19em;
    background-color: darkslateblue;
    border: black 1px solid;
}

.calc{
    width: 60%;
    font-size: 16px;
    height: 46px;
    background-color: whitesmoke;
    border: black 1px solid;
    padding-right: 20px;
    padding-left: 20px;
    margin: 10px;
    margin-right: 5px;
}


.justdoit{
    width: 70px;
    height: 70px;
    background-color: whitesmoke;
    border-radius: 3px;
    font-size: 16px;
    margin-bottom: 3px;
}

.justdoit1{
    width: 60px;
    height: 60px;
    background-color: whitesmoke;
    border-radius: 3px;
    font-size: 16px;
    margin-bottom: 3px;
}

#umn{
    margin-left: 1em;
}

#seven, #four, #one, #zero{
    margin-left: 2em;
}

.justdoit3{
    width: 107px;
    height: 70px;
    background-color: whitesmoke;
    border-radius: 3px;
    font-size: 16px;
    margin-bottom: 3px;
}

.operatorc {
    background-color: whitesmoke;
    width: 50px;
    height: 50px;
    border-radius: 3px;
    font-size: 17px;
}

.cases {
    padding: 10px;
}